【漏洞通告】ExifTool代码执行漏洞

  • A+
所属分类:安全漏洞

漏洞名称ExifTool代码执行漏洞

组件名称 : ExifTool

影响范围 Exiftool>=7.44 && Exiftool<12.24

漏洞类型 : 远程代码执行

利用条件 :

1、前置条件:可远程访问存在漏洞版本的ExifTool库的应用服务器或本地访问存在漏洞版本的exiftool程序

2、触发方式:远程或者本地

综合评价 :

<综合评定利用难度>:容易。

<综合评定威胁等级>:高危,能造成远程代码执行。


漏洞分析


组件介绍

ExifTool是一个独立于平台的Perl库,也有一个命令行应用程序,用于读取,写入和编辑各种文件中的元信息。ExifTool支持许多不同的元数据格式,包括EXIF、GPS、IPTC、XMP、JFIF、GeoTIFF、ICC Profile、Photoshop IRB、FlashPix、AFCP and ID3、Lyrics3等。


2 漏洞描述

2021年5月15日,深信服安全团队监测到一则ExifTool组件存在ExifTool代码执行漏洞的信息,漏洞编号:CVE-2021-22204,漏洞威胁等级:高危。


该漏洞是由于ExifTool版本7.44及更高版本中存在对DjVu文件格式的数据处理不当。攻击者可利用该漏洞在含有漏洞版本的ExifTool库的应用服务器或者应用程序下,构造恶意DjVu文件,服务器或者应用程序远程或本地解析此文件,导致任意代码执行,最终获取服务器最高权限。


3 漏洞复现

搭建含有ExifTool组件11.70版本的GitLab环境,复现该漏洞,效果如下:

【漏洞通告】ExifTool代码执行漏洞
【漏洞通告】ExifTool代码执行漏洞


影响范围


ExifTool是一个独立于平台的Perl库,也有一个命令行应用程序,用于读取,写入和编辑各种文件中的元信息。可以运行在几乎所有计算机平台上,可能受漏洞影响的资产广泛分布于世界各地。


目前受影响的ExifTool版本:

Exiftool>=7.44 && Exiftool<12.24


解决方案


1 如何检测组件系统版本

访问安装ExifTool库的应用服务器,查看exiftool安装目录的exiftool文件的version字段确定版本。

【漏洞通告】ExifTool代码执行漏洞


2 官方修复建议

当前官方已发布受影响版本的对应补丁,建议受影响的用户及时更新官方的安全补丁。链接如下:

https://github.com/exiftool/exiftool/commit/cf0f4e7dcd024ca99615bfd1102a841a25dde031#diff-fa0d652d10dbcd246e6b1df16c1e992931d3bb717a7e36157596b76bdadb3800


3 深信服解决方案

深信服下一代防火墙】预计2021年5月17日可防御此漏洞, 建议用户将深信服下一代防火墙开启 IPS防护策略,并更新最新安全防护规则。

深信服安全感知平台】结合云端实时热点高危/紧急漏洞信息,可快速检出业务场景下的该漏洞,并可联动【深信服下一代防火墙等产品】实现对攻击者IP的封堵。


时间轴


2021/5/15  深信服监测到ExifTool代码执行漏洞攻击信息。

2021/5/15 深信服千里目安全实验室发布漏洞通告。


点击阅读原文,及时关注并登录深信服智安全平台,可轻松查询漏洞相关解决方案。

【漏洞通告】ExifTool代码执行漏洞


深信服千里目安全实验室

【漏洞通告】ExifTool代码执行漏洞

深信服科技旗下安全实验室,致力于网络安全攻防技术的研究和积累,深度洞察未知网络安全威胁,解读前沿安全技术。

● 扫码关注我们

本文始发于微信公众号(深信服千里目安全实验室):【漏洞通告】ExifTool代码执行漏洞

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: